﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CrackEvent : MonoBehaviour {

    private PlayerMovement player;

    List<string> tags = new List<string>{"DamageCrack", "TreasureCrack"};
    bool used = false;

    // Use this for initialization
    void Start()
    {
        gameObject.tag = tags[Random.Range(0, tags.Count)];
        player = FindObjectOfType<PlayerMovement>();
    }

    // Update is called once per frame
    void OnTriggerEnter2D(Collider2D other)
    {
        if (other.name == "Player")
        {
            player.onCrack = true;
            player.crackType = gameObject.tag;
        }
    }
    void OnTriggerExit2D(Collider2D other)
    {
        if (other.name == "Player")
        {
            player.onCrack = false;
        }
    }
}
