﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerAnimation : MonoBehaviour {

    private Rigidbody2D player;
    [SerializeField]
    private Animator anim;
    public bool facingRight = true;
    private Transform playerTrans;

    // Use this for initialization
    void Start ()
    {
        player = GetComponent<Rigidbody2D>();
        playerTrans = GetComponent<Transform>();
    }
	
	// Update is called once per frame
	void Update ()
    {
        if (player.velocity.x > 0)
        {
            anim.SetBool("Is moving", true);
            if (!facingRight)
            {
                facingRight = true;
                playerTrans.localScale = new Vector3(playerTrans.localScale.x * (-1f), playerTrans.localScale.y * 1f);
            }
        }
        else if (player.velocity.x < 0)
        {
            anim.SetBool("Is moving", true);
            if (facingRight)
            {
                facingRight = false;
                playerTrans.localScale = new Vector3(playerTrans.localScale.x * (-1f), playerTrans.localScale.y * 1f);
            }
        }
        else
        {
            anim.SetBool("Is moving", false);
        }
    }
}
